%define	_bindir	/bin
%define	_libdir /lib
%ifarch x86_64
%define	_libdir /lib64
%endif

%define major		0.5
%define libname		%mklibname brlapi %{major}
%define develname	%mklibname brlapi -d

%ifarch %arm %mips
%define build_java 0
%else
%define build_java 1
%endif

Name:		brltty
Version:	4.1
Release:	%mkrel 3
License:	GPLv2+
Group:		System/Servers
URL:		http://mielke.cc/brltty/
Source0:	http://mielke.cc/brltty/releases/%{name}-%{version}.tar.xz
Patch0:		brltty-3.9-varargs.patch
Patch4:		brltty-cppflags.patch
Patch5:		brltty-parallel.patch
Patch6:		brltty-autoconf-quote.patch
BuildRequires:	bison
BuildRequires:	gpm-devel
BuildRequires:	X11-devel
Buildrequires:	python-devel
Buildrequires:  libncurses-devel
Buildrequires:	bluez-devel
Buildrequires:  python-pyrex
Buildrequires:  ocaml
Buildrequires:  festival-devel
Buildrequires:  libbraille-devel
Buildrequires:  speech_tools-devel
Buildrequires:  libalsa-devel
BuildRequires:	subversion
%if %{build_java}
Buildrequires:	java-rpmbuild
%endif
BuildConflicts: findlib
Requires:   libicu44
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Summary:	Braille display driver for Linux/Unix

%description
BRLTTY is a background process (daemon) which provides
access to the Linux/Unix console (when in text mode)
for a blind person using a refreshable braille display.
It drives the braille display,
and provides complete screen review functionality.
Some speech capability has also been incorporated.

%package -n %{libname}
Summary:	API for brltty
Group:		System/Libraries
License:	LGPL+
Obsoletes:	%{mklibname brlapi 0.5.1 0} <= %{version}-%{release}
Obsoletes:	%{mklibname brlapi 0.4.1 0} <= %{version}-%{release}

%description -n %{libname}
This package provides the run-time support for the Application
Programming Interface to BRLTTY.

Install this package if you have an application which directly accesses
a refreshable braille display.

%package -n %{develname}
Group:		Development/C
License:	LGPL+
Summary:	Headers, static archive, and documentation for BrlAPI
Provides:	brlapi-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Obsoletes:	%{mklibname brlapi 0.5.1 0 -d} <= %{version}-%{release}
Obsoletes:	%{mklibname brlapi 0.4.1 0 -d} <= %{version}-%{release}

%description -n %{develname}
This package provides the header files, static archive, shared object
linker reference, and reference documentation for BrlAPI (the
Application Programming Interface to BRLTTY).  It enables the
implementation of applications which take direct advantage of a
refreshable braille display in order to present information in ways
which are more appropriate for blind users and/or to provide user
interfaces which are more specifically atuned to their needs.

Install this package if you're developing or maintaining an application
which directly accesses a refreshable braille display.

%if %{build_java}
%package -n brlapi-java
Group:		Development/Java
Summary:	Java bindings for BrlAPI
Requires:	java-1.6.0-sun-devel
Obsoletes:	%{mklibname brlapi 0.5}-java <= %{version}-%{release}

%description -n brlapi-java
This package provides the Java bindings for BrlAPI,
which is the Application Programming Interface to BRLTTY.

Install this package if you have a Java application
which directly accesses a refreshable braille display.
%endif

%package -n brlapi-python
Summary:	Python bindings for BrlAPI
Group:		Development/Python
Obsoletes:	%{mklibname brlapi 0.5.1 0}-python <= %{version}-%{release}
Obsoletes:	%{mklibname brlapi 0.5}-python <= %{version}-%{release}
Requires:	python >= 2.6.6

%description -n brlapi-python
This package provides the Python bindings for BrlAPI,
which is the Application Programming Interface to BRLTTY.

Install this package if you have a Python application
which directly accesses a refreshable braille display.

%package -n brlapi-ocaml
Summary:	Ocaml bindings for BrlAPI
Group:		Development/Other

%description -n brlapi-ocaml
This package provides the Ocaml bindings for BrlAPI,
which is the Application Programming Interface to BRLTTY.

Install this package if you have a Ocaml application
which directly accesses a refreshable braille display.

%prep
%setup -q
%patch0 -p1 -b .varargs

%patch4 -p1 -b .cppflags
%patch5 -p1 -b .parallel
%patch6 -p1 -b .quote

%build
# Patch6 changes aclocal.m4:
autoconf
for i in -I/usr/lib/jvm/java/include{,/linux}; do
      java_inc="$java_inc $i"
done
%configure2_5x	CPPFLAGS="$java_inc" \
		--with-install-root="%{buildroot}" \
		--disable-relocatable-install \
		--disable-tcl-bindings \
		--disable-stripping
%make

%install
rm -rf %{buildroot}
install -d -m 755 %{buildroot}%{_prefix}/%{_lib}/ocaml/stublibs
# just to avoid an installation error
touch %{buildroot}%{_prefix}/%{_lib}/ocaml/ld.conf
make install install-programs install-tables install-drivers
install -m644 Documents/%{name}.conf -D %{buildroot}%{_sysconfdir}/%{name}.conf
install -m644 Documents/%{name}.1 -D %{buildroot}%{_mandir}/man1/%{name}.1
rm -f %{buildroot}%{_prefix}/%{_lib}/ocaml/ld.conf

directory="doc"
mkdir -p "${directory}"
for file in `find . \( -path "./${directory}" -o -path ./Documents \) -prune -o \( -name 'README*' -o -name '*.patch' -o -name '*.txt' -o -name '*
.html' -o -name '*.sgml' -o \( -path "./Bootdisks/*" -type f -perm +ugo=x \) \) -print`
do
   mkdir -p "${directory}/${file%/*}"
   cp -rp "${file}" "${directory}/${file}"
done


%clean
rm -rf %{buildroot}

%post -n %{libname}
/sbin/ldconfig

%postun -n %{libname}
/sbin/ldconfig

%files -n %{name}
%defattr(-,root,root)
%doc README Documents/ChangeLog Documents/TODO
%config(noreplace) %{_sysconfdir}/%{name}.conf
%attr(0755,root,root) %{_bindir}/*
%{_sysconfdir}/%{name}
%{_libdir}/%{name}
%{_mandir}/man1/*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%doc Documents/BrlAPIref
%{_libdir}/*.so
%{_libdir}/*.a
%{_includedir}/brlapi.h
%{_includedir}/brlapi_*.h
%{_includedir}/brltty
%{_mandir}/man3/*

%if %{build_java}
%files -n brlapi-java
%defattr(-,root,root)
%{_prefix}/lib/java/libbrlapi_java.so
%{_datadir}/java/brlapi.jar
%endif

%files -n brlapi-python
%defattr(-,root,root)
%{py_platsitedir}/brlapi.*
%{py_platsitedir}/Brlapi-*

%files -n brlapi-ocaml
%defattr(-,root,root)
%{_prefix}/%{_lib}/ocaml/brlapi
%{_prefix}/%{_lib}/ocaml/stublibs/dllbrlapi_stubs.so*


%changelog
* Sun Sep 05 2010 Texstar <texstar at gmail.com> 4.1-3pclos2010
- rebuild for new python 2.6.6

* Sat Jun 26 2010 Texstar <texstar at gmail.com> 4.1-2pclos2010
- rebuild for new icu

* Wed Jan 06 2010 Texstar <texstar at gmail.com> 4.1-1pclos2010
- 4.1
- Sync with Fedora:

